import { Context, ProblemDetail } from '@hello.nrfcloud.com/proto/hello';
export const aProblem = (problem, cacheForSeconds = 60) => ({
    statusCode: problem.status,
    headers: {
        'content-type': 'application/problem+json',
        'Cache-Control': `public, max-age=${cacheForSeconds}`,
    },
    body: JSON.stringify({
        '@context': Context.problemDetail.toString(),
        ...problem,
    }),
});
